Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
DialogDescriptionConfig Class Reference
Inheritance diagram for DialogDescriptionConfig:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (name, first_tab, width, height, char_width, char_height, align_children, element_array)
| Constructor, with parameters. More...
| Set (name, first_tab, width, height, char_width, char_height, align_children, element_array)
| Set values. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| align_children
| The alignment for all descendants.
| char_height
| The height of the dialog box in characters. More...
| char_width
| The width of the dialog box in characters. More...
| element_array
| An array of dialog description element array object.
| first_tab
| An ItemID for the dialog box item that should be first in the tab order. More...
| height
| The height of the dialog box in pixels. More...
| name
| The title bar of the dialog box.
| width
| The width of the dialog box in pixels. More...

## Detailed Description

This class represents dialog config.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

DialogDescriptionConfig.constructor | ( | name | ,
|  | first_tab | ,
|  | width | ,
|  | height | ,
|  | char_width | ,
|  | char_height | ,
|  | align_children | ,
|  | element_array |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

## ◆ Set()

DialogDescriptionConfig.Set | ( | name | ,
|  | first_tab | ,
|  | width | ,
|  | height | ,
|  | char_width | ,
|  | char_height | ,
|  | align_children | ,
|  | element_array |
| ) |  |

Set values.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ char_height

DialogDescriptionConfig.char_height

The height of the dialog box in characters.

If no height is specified, the combined height of the contents is used.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ char_width

DialogDescriptionConfig.char_width

The width of the dialog box in characters.

If no width is specified, the combined width of the contents is used.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ first_tab

DialogDescriptionConfig.first_tab

An ItemID for the dialog box item that should be first in the tab order.

If no width is specified, the combined width of the contents is used.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ height

DialogDescriptionConfig.height

The height of the dialog box in pixels.

If no height is specified, the combined height of the contents is used.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ width

DialogDescriptionConfig.width

The width of the dialog box in pixels.

If no width is specified, the combined width of the contents is used.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.